## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/noxdafox/pebble

# Tests take rather long compared to build. Allow skipping.
%bcond tests 1

Name:           python-pebble
Version:        5.0.7
Release:        %autorelease
Summary:        Threading and multiprocessing eye-candy for Python

%global tag %{version}
%forgemeta

License:        LGPL-3.0-or-later
URL:            %{forgeurl}
Source:         %{forgesource}
Patch:          %{forgeurl}/pull/130.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
Pebble provides an API to manage threads and processes within an application.
It wraps Python’s standard library threading and multiprocessing objects.}

%description %_description

%package -n python3-pebble
Summary:        %{summary}

%description -n python3-pebble %_description

%prep
%forgeautosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l pebble

%check
%if %{with tests}
  # test intermittently hangs
  %{pytest} -v -k "not test_process_pool_multiple_futures"
%else
  %pyproject_check_import
%endif

%files -n python3-pebble -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Fri Mar 22 2024 Sandro <devel@penguinpee.nl> - 5.0.7-1
- Update to 5.0.7 (RHBZ#2270887)

* Fri Mar 22 2024 Sandro <devel@penguinpee.nl> - 5.0.6-6
- Assert existence of license file

* Fri Mar 22 2024 Sandro <devel@penguinpee.nl> - 5.0.6-5
- Revert to using Python RPM  macros

* Fri Mar 22 2024 Sandro <devel@penguinpee.nl> - 5.0.6-4
- Allow skipping tests

* Fri Mar 22 2024 Sandro <devel@penguinpee.nl> - 5.0.6-3
- Use forge macros
- Pull from GitHub (eliminates name difference [Pp]ebble)

* Fri Feb 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 5.0.6-2
- chore: add packit

* Fri Feb 23 2024 Priscila Gutierres <prgutier@redhat.com> - 5.0.6-1
- Rebase python-pebble to 5.0.6

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 07 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 5.0.3-2
- fix: disable intermittently hanging test

* Sat Jul 29 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 5.0.3-1
- feat: update to 5.0.3 (fixes rhbz#2227456)

* Sat Jul 29 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 4.5.3-14
- feat: use spdx license

* Sat Jul 29 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 4.5.3-13
- feat: use pyproject macros

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 4.5.3-10
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 4.5.3-7
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 4.5.3-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed May 13 2020 Martin Liška <mliska@suse.cz> - 4.5.3-1
- Initial Fedora package

## END: Generated by rpmautospec
